"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    IgnoreRequestBody: function() {
        return IgnoreRequestBody;
    },
    ValidBodyTypeClasses: function() {
        return ValidBodyTypeClasses;
    }
});
var _zod = require("zod");
function _class_call_check(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
var IgnoreRequestBody = function IgnoreRequestBody() {
    "use strict";
    _class_call_check(this, IgnoreRequestBody);
    _define_property(this, "_ignoreRequestBody", "ignoreRequestBody");
};
var ValidBodyTypeClasses = [
    _zod.z.ZodAny,
    _zod.z.ZodUnknown,
    _zod.z.ZodArray,
    _zod.z.ZodObject,
    _zod.z.ZodUnion,
    _zod.z.ZodDiscriminatedUnion,
    _zod.z.ZodIntersection,
    _zod.z.ZodTuple,
    _zod.z.ZodRecord,
    _zod.z.ZodMap,
    _zod.z.ZodSet,
    _zod.z.ZodString,
    _zod.z.ZodNumber,
    _zod.z.ZodNaN,
    _zod.z.ZodBigInt,
    _zod.z.ZodBoolean,
    _zod.z.ZodUndefined,
    _zod.z.ZodNull,
    _zod.z.ZodLazy,
    _zod.z.ZodLiteral,
    _zod.z.ZodEnum,
    _zod.z.ZodEffects,
    _zod.z.ZodOptional,
    _zod.z.ZodNullable,
    _zod.z.ZodDefault,
    _zod.z.ZodCatch,
    _zod.z.ZodBranded,
    _zod.z.ZodPipeline,
    IgnoreRequestBody
];
